
Katello - Bug #4364

Synchronization message from a Repository page links to incorrect URL

02/17/2014 04:57 PM - Og Maciel

Status: Closed   

Priority: High   

Assignee: Eric Helms   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

After using the web UI to create a valid product/provider/repository, I then selected said repository and clicked the Sync Now button.

Once I saw that the sync process was done (I was tailing logs), I reloaded the page and noticed a Finished message/link next to the

repository (see attached screenshot). When I clicked on this link, I was taken to /katello/sync_management/index, which does not

exist and gives me a "The page you were looking for doesn't exist" message. The correct url should be /katello/sync_management.

To reproduce it, make sure that you first select the product and then select the repository.

Associated revisions

Revision 575f6309 - 04/04/2014 01:51 PM - Eric Helms

Fixes #4364: Adjust sync_management links to the proper page.

Revision 0f36ed74 - 04/04/2014 03:34 PM - Eric Helms

Merge pull request #3948 from ehelms/fixes-4364

Fixes #4364: Adjust sync_management links to the proper page.

Revision dd17dbc6 - 04/04/2014 05:51 PM - Eric Helms

Fixes #4364: Adjust sync_management links to the proper page.

Revision c22f3e22 - 04/04/2014 07:34 PM - Eric Helms

Merge pull request #3948 from ehelms/fixes-4364

Fixes #4364: Adjust sync_management links to the proper page.

History

#1 - 03/24/2014 04:34 AM - Mike McCune

- Triaged set to Yes

#2 - 03/31/2014 06:33 PM - Bryan Kearney

- Priority changed from Normal to High

You also get this when an error occurs. I attempted to sync a repo with a https:// prefix but it was not exposed over https://. The new products page

repo overview showed me "error" for sync status. When I clicked on that, I was taken to:

http://localhost:3000/katello/sync_management/index

#3 - 04/04/2014 07:52 PM - Eric Helms

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:dd17dbc64e7f31d9cb3296a2163b20f765fbefdc.
#4 - 08/21/2014 02:29 PM - Eric Helms

- translation missing: en.field_release set to 13
